Skip to content

One invoice with its charges​

GET
/billing/invoices/{invoiceId}

An invoice of your account with all its charges. Requires billing.read.

Authorizations​

ApiKeyAuth

API key from the dashboard. Some Host Mode endpoints also accept the key as an api_key field in the request body — this is stated in the schema of the particular operation.

Type
API Key (header: X-API-KEY)

Parameters​

Header Parameters

X-Real-IP*

An IP address from the key's whitelist. A request from an address outside the whitelist is rejected with 401.

Type
string
Required
Example"203.0.113.10"
Format
"ipv4"

Path Parameters

invoiceId*

The invoice id.

Type
integer
Required

Responses​

The invoice.

application/json
JSON
{
  
"success": true,
  
"data": {
  
  
"id": 0,
  
  
"periodStart": "string",
  
  
"periodEnd": "string",
  
  
"totalTrx": "string",
  
  
"totalUsdc": "string",
  
  
"paidUsdc": "string",
  
  
"status": "string",
  
  
"issuedAt": "string",
  
  
"dueAt": "string",
  
  
"charges": [
  
  
  
{
  
  
  
  
"id": 0,
  
  
  
  
"orderId": "string",
  
  
  
  
"productCode": "string",
  
  
  
  
"address": "string",
  
  
  
  
"quantity": 0,
  
  
  
  
"unitPriceSun": "string",
  
  
  
  
"discount": {
  
  
  
  
  
"type": "string",
  
  
  
  
  
"value": "string"
  
  
  
  
},
  
  
  
  
"amountTrx": "string",
  
  
  
  
"amountUsdc": "string",
  
  
  
  
"usdPerTrx": "string",
  
  
  
  
"quoteId": "string",
  
  
  
  
"txHash": "string",
  
  
  
  
"fulfilledAt": "string",
  
  
  
  
"status": "string",
  
  
  
  
"paidTrx": "string",
  
  
  
  
"paidUsdc": "string",
  
  
  
  
"invoiceId": 0,
  
  
  
  
"reversesId": 0
  
  
  
}
  
  
]
  
},
  
"timestamp": "string"
}

Playground​

Authorization
Headers
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI